## xdelta3 0y.dfsg

=== Makefile ===
--- 
+++ 
@@ -4,11 +4,11 @@
 UNAME = $(shell uname)
 CYGWIN = $(findstring CYGWIN, $(UNAME))
 DARWIN = $(findstring Darwin, $(UNAME))
-PYVER = 2.5
+PYVER = 2.6
 
 ifeq ("$(CYGWIN)", "")
 SWIGTGT = xdelta3module.so
-PYTGT = build/lib.linux-i686-$(PYVER)/xdelta3main.so
+PYTGT = build/lib.macosx-10.6-universal-2.6/xdelta3main.so
 else
 SWIGTGT = xdelta3module.dll
 PYTGT = build/lib.cygwin-1.5.24-i686-$(PYVER)/xdelta3main.dll
@@ -31,7 +31,7 @@
 TARGETS = xdelta3-debug \
 	  xdelta3 \
 	  xdelta3-debug2 \
-	  xdelta3-debug3 \
+	  xdelta3-debugstdio \
 	  xdelta3.o \
 	  xdelta3_wrap.o \
 	  xdelta3-32 \
@@ -57,13 +57,13 @@
 WFLAGS= -Wextra -Wsign-compare -Wconversion -Wextra -Wno-unused-parameter
 
 # $Format: "REL=$Xdelta3Version$" $
-REL=3.0v
+REL=3.0y
 
 RELDIR = xdelta$(REL)
 
 EXTRA = Makefile COPYING linkxd3lib.c badcopy.c xdelta3.swig \
 	draft-korn-vcdiff.txt xdelta3.vcproj badcopy.vcproj \
-	xdelta3-regtest.py xdelta3-test.py setup.py \
+	testing/xdelta3-regtest.py xdelta3-test.py setup.py \
 	examples/Makefile examples/small_page_test.c \
 	examples/README examples/encode_decode_test.c \
 	examples/compare_test.c examples/speed_test.c \
@@ -72,7 +72,7 @@
 	testing/cmp.h testing/delta.h testing/file.h \
 	testing/modify.h testing/random.h testing/segment.h \
 	testing/sizes.h testing/test.h testing/Makefile \
-	testing/regtest.cc README readme.txt
+	testing/regtest.cc README readme.txt xdelta3.1
 
 SWIG_FLAGS = -DXD3_DEBUG=1 \
 	      -DEXTERNAL_COMPRESSION=0 \
@@ -82,7 +82,8 @@
 	      -DVCDIFF_TOOLS=1 \
 	      -DSWIG_MODULE=1
 
-all: xdelta3-debug xdelta3
+all: xdelta3-debug xdelta3-debug2 xdelta3
+	(cd testing && make)
 
 all-py: all $(PYTGT) $(SWIGTGT)
 
@@ -116,7 +117,7 @@
 
 clean:
 	rm -f $(TARGETS)
-	rm -rf build Debug Release core cifs* *.stackdump *.exe \
+	rm -rf build Debug Release core cifs* *.stackdump *.exe *~ *.dSYM \
 		xdelta3.ncb xdelta3.suo xdelta3.sln xdelta3.wixobj xdelta3.msi
 
 wix: xdelta3.wxs xdelta3.wxi readme.txt Release\xdelta3.exe
@@ -142,7 +143,7 @@
 		-DSECONDARY_FGK=1 \
 		-DXD3_DEBUG=1 \
 		-DXD3_MAIN=1 \
-		-DXD3_STDIO=1 \
+		-DXD3_POSIX=1 \
 		-DXD3_USE_LARGEFILE64=1
 
 xdelta3-warnings: $(SOURCES)
@@ -171,22 +172,22 @@
 		xdelta3.c -o xdelta3-debug2 \
 		-DXD3_DEBUG=2 \
 		-DXD3_MAIN=1 \
+		-DXD3_POSIX=1 \
+		-DXD3_USE_LARGEFILE64=1 \
+		-DGENERIC_ENCODE_TABLES=1 \
+		-DREGRESSION_TEST=1 \
+		-DSECONDARY_DJW=1 \
+		-DSECONDARY_FGK=1 \
+		-lm
+
+xdelta3-debugstdio: $(SOURCES)
+	$(CC) -g $(CFLAGS) xdelta3.c -o xdelta3-debugstdio \
+		-DXD3_MAIN=1 \
+		-DGENERIC_ENCODE_TABLES=1 \
+		-DXD3_USE_LARGEFILE64=1 \
 		-DXD3_STDIO=1 \
-		-DXD3_USE_LARGEFILE64=1 \
-		-DGENERIC_ENCODE_TABLES=1 \
-		-DREGRESSION_TEST=1 \
-		-DSECONDARY_DJW=1 \
-		-DSECONDARY_FGK=1 \
-		-lm
-
-xdelta3-debug3: $(SOURCES)
-	$(CC) -g $(CFLAGS) xdelta3.c -o xdelta3-debug3 \
-		-DXD3_MAIN=1 \
-		-DGENERIC_ENCODE_TABLES=1 \
-		-DXD3_USE_LARGEFILE64=1 \
-		-DXD3_STDIO=1 \
-		-DREGRESSION_TEST=1 \
-		-DXD3_DEBUG=3 \
+		-DREGRESSION_TEST=1 \
+		-DXD3_DEBUG=1 \
 		-DSECONDARY_DJW=1 \
 		-DSECONDARY_FGK=1 \
 		-lm
@@ -225,7 +226,8 @@
 		-lc
 else
 xdelta3module.so: xdelta3_wrap.o xdelta3.o
-	gcc -Wl,-F. -bundle -undefined dynamic_lookup $(CFLAGS) \
+	gcc-4.2 -Wl,-F. -bundle -undefined dynamic_lookup \
+		-arch x86_64 $(CFLAGS) \
 		xdelta3.o xdelta3_wrap.o -o xdelta3module.so
 endif
