=== debian/changelog ===
xdelta3 (0y.dfsg-1+deb6u1) squeeze-lts; urgency=high

  * CVE-2014-9765: Fix buffer overflow in main_get_appheader (Closes: #814067)

 -- Chris Lamb <lamby@debian.org>  Tue, 16 Feb 2016 11:21:13 +0100

xdelta3 (0y.dfsg-1) unstable; urgency=low

  * New upstream release.
    - Can read source from pipe/fifo , new -B option.
    - Has manpage (thanks Leo (costela) Antunes) 
  * Convert to 3.0 (quilt) source format
  * Correct lintian warnings:
    - Update standards version,
    - add misc:Depends

 -- A Mennucc1 <mennucc1@debian.org>  Mon, 22 Feb 2010 21:59:03 +0100

xdelta3 (0s.dfsg-1) unstable; urgency=low

  * New upstream release

 -- A Mennucc1 <mennucc1@debian.org>  Mon, 19 Nov 2007 13:37:26 +0100

xdelta3 (0q.dfsg-2) unstable; urgency=low

  * Bug fix: "xdelta3: FTBFS: Not using -fPIC to create shared object.",
    thanks to Kurt Roeckx (Closes: #439656).

 -- A Mennucc1 <mennucc1@debian.org>  Sun, 26 Aug 2007 16:06:58 +0200

xdelta3 (0q.dfsg-1) unstable; urgency=low

  * Initial Release  (Closes: #433774)

 -- A Mennucc1 <mennucc1@debian.org>  Thu, 26 Jul 2007 14:43:12 +0200
