## xdelta3 3.0.0.dfsg

=== debian/changelog ===
xdelta3 (3.0.0.dfsg-1ubuntu1) raring; urgency=low

  * Made build infrastructure multiarch-Python-aware, fixing FTBFS.

 -- Daniel T Chen <crimsun@ubuntu.com>  Thu, 11 Apr 2013 16:52:51 -0400

xdelta3 (3.0.0.dfsg-1build1) precise; urgency=low

  * Rebuild to drop python2.6 dependencies.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 31 Dec 2011 02:15:49 +0000

xdelta3 (3.0.0.dfsg-1) unstable; urgency=low

  * New upstream release, "3.0 is a stable release series"
  * Remove unused build-dependency 'cdbs'
  * Thanks Luca for NMU

 -- A Mennucc1 <mennucc1@debian.org>  Sun, 29 May 2011 22:59:32 +0200

xdelta3 (0y.dfsg-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Convert package to dh_python2 (Closes: #617151).
    + debian/control:
      - Build-depend on python-all-dev (>= 2.6.6-3~).
      - Drop python-central from Build-Depends.
      - Define X-Python-Version field.
      - Drop XB-Python-Version field.
    + debian/pycompat:
      - Useless, removed.
    + debian/rules:
      - Replace dh_pycentral with dh_python2.
  * debian/patches/unversioned_shebangs.diff:
    - Do not use versioned shebangs (Closes: #625751).

 -- Luca Falavigna <dktrkranz@debian.org>  Sun, 08 May 2011 13:28:08 +0200
