=== debian/control ===
--- 
+++ 
@@ -2,8 +2,10 @@
 Section: utils
 Priority: optional
 XS-Python-Version: all
-Maintainer: A Mennucc1 <mennucc1@debian.org>
-Build-Depends: debhelper (>= 5), cdbs, python-central (>= 0.5), python-all-dev
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: A Mennucc1 <mennucc1@debian.org>
+Build-Depends: debhelper (>= 5), python-all-dev (>= 2.6.6-3~), dpkg-dev (>= 1.16.0)
+X-Python-Version: >= 2.5
 Standards-Version: 3.8.4.0
 
 Package: xdelta3
@@ -20,7 +22,6 @@
 Architecture: any
 Section: python
 Depends:  ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
-XB-Python-Version: ${python:Versions}
 Provides: ${python:Provides}
 Description: Xdelta3 python module
  Xdelta3 is a set of tools designed to compute changes between
