=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,8 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+
+DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
 
 PYVERS=$(shell pyversions -vr)
 PYVER   := $(shell python -c 'import sys; print sys.version[:3]')
@@ -61,7 +63,7 @@
 #	dh_installinfo -i
 #	dh_undocumented -i
 	dh_installchangelogs -i
-	dh_pycentral -i
+	dh_python2 -i
 	dh_link -i
 	dh_compress -i -X.py
 	dh_fixperms -i
@@ -83,7 +85,7 @@
 #	dh_installinfo -a
 #	dh_undocumented -a
 	dh_installchangelogs -a
-	dh_pycentral -a -ppython-xdelta3
+	dh_python2 -a -ppython-xdelta3
 	dh_strip -a
 	dh_link -a
 	dh_compress -a -X.py
