## xdelta3 3.0.7

=== examples/Makefile ===
--- 
+++ 
@@ -29,4 +29,4 @@
 	$(CXX) $(CFLAGS) checksum_test.cc -o checksum_test
 
 clean:
-	rm -f *.exe *.stackdump $(TARGETS)
+	rm -r -f *.exe *.stackdump $(TARGETS) *.dSYM *~
