## xdelta3 3.0.7-dfsg

=== debian/changelog ===
xdelta3 (3.0.7-dfsg-2ubuntu0.2) trusty-security; urgency=medium

  * SECURITY UPDATE: buffer overflow in main_get_appheader
    - debian/patches/CVE-2014-9765.patch: add check to xdelta3-main.h, add
      test to xdelta3-test.h.
    - CVE-2014-9765
  * debian/patches/fix_lzma_test.patch: fix lzma test so we can run the
    builtin tests.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 17 Feb 2016 08:10:41 -0500

xdelta3 (3.0.7-dfsg-2) unstable; urgency=low

  * fix FTBFS in testing/regtest.cc
  * add liblzma to build dependencies
  * fix compiling warnings

 -- A Mennucc1 <mennucc1@debian.org>  Mon, 17 Jun 2013 08:56:43 +0200

xdelta3 (3.0.7-dfsg-1) unstable; urgency=low

  * New upstream release (Closes: #691337).
  * Switch build system to CDBS
  * Drop 'python-xdelta3' package, currently broken.
  * Bump standards version.

 -- A Mennucc1 <mennucc1@debian.org>  Sun, 09 Jun 2013 12:08:02 +0200
