=== debian/control ===
Source: xdelta3
Section: utils
Priority: optional
XS-Python-Version: all
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: A Mennucc1 <mennucc1@debian.org>
Build-Depends: cdbs, debhelper, liblzma-dev
Standards-Version: 3.9.4

Package: xdelta3
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Diff utility which works with binary files
 Xdelta3 is a set of tools designed to compute changes between
 binary files.  These changes (delta files) are similar to the output of the
 "diff" program, in that they may be used to store and transmit only the
 changes between files.  The "delta files" that Xdelta3 manages are
 stored in RFC3284 (VCDIFF) format.
