## xdelta3 3.0.8-dfsg

=== debian/changelog ===
xdelta3 (3.0.8-dfsg-1ubuntu2) xenial; urgency=medium

  * debian/patches/fix_lzma_test.patch: fix lzma test so we can run the
    builtin tests.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 17 Feb 2016 08:33:32 -0500

xdelta3 (3.0.8-dfsg-1ubuntu1) xenial; urgency=medium

  * SECURITY UPDATE: buffer overflow in main_get_appheader
    - debian/patches/CVE-2014-9765.patch: add check to xdelta3-main.h, add
      test to xdelta3-test.h.
    - CVE-2014-9765

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Tue, 09 Feb 2016 10:45:04 -0500

xdelta3 (3.0.8-dfsg-1) unstable; urgency=low

  * new upstream release (only minor changes)
  * Bug fix: "Please add watch file", thanks to Dmitry Shachnev (Closes:
    #735273).

 -- A Mennucc1 <mennucc1@debian.org>  Thu, 20 Feb 2014 12:20:22 +0100
