=== debian/watch ===
version=3
opts=dversionmangle=s/\-dfsg// \
http://code.google.com/p/xdelta/downloads/list?can=1 .*/xdelta3-(\d\S*)\.tar\.(?:gz|xz)
