## xdelta3 3.0.11-dfsg

=== debian/changelog ===
xdelta3 (3.0.11-dfsg-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Test-Depends: liblzma-dev

 -- Andreas Tille <tille@debian.org>  Fri, 25 Feb 2022 21:44:37 +0100

xdelta3 (3.0.11-dfsg-1.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Jeremy Bicha ]
  * clean up packaging
    Closes: #895957, #965883

  [ Andreas Tille ]
  * Create Git repository on Salsa and add Vcs fields
  * Trim trailing whitespace.
  * Fill in Homepage field.
  * Set debhelper-compat version in Build-Depends.
  * Update standards version to 4.6.0, no changes needed.
  * Avoid explicitly specifying -Wl,--as-needed linker flag.
  * Add debian/salsa-ci.yml
  * DEP5
  * debhelper 13
  * Add watch file
  * Add autopkgtest

 -- Andreas Tille <tille@debian.org>  Thu, 24 Feb 2022 11:03:55 +0100

xdelta3 (3.0.11-dfsg-1) unstable; urgency=medium

  * New upstream release;
    -  disable obsolete debian patches : regtest_size_t  printf_uint64
	  Q_not_u CVE-2014-9765.patch fix_lzma_test.patch
    -  refreshed patch : manpage_lzma
    -  kept patch :  unversioned_shebangs.diff
  * Deleted obsolete watch file
  * Bump standards version
  * Solves "upstream has some bugfixes for 3.0.8 release.", thanks to
    shirish शिरीष (Closes: #779976).

 -- A Mennucc1 <mennucc1@debian.org>  Sat, 27 Feb 2016 11:40:46 +0100

xdelta3 (3.0.8-dfsg-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Update CVE-2014-9765.patch.
    Add as well tests that the default appheader works.
  * Fix LZMA tests (Closes: #740284)

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 19 Feb 2016 13:23:39 +0100

xdelta3 (3.0.8-dfsg-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * CVE-2014-9765: buffer overflow in main_get_appheader (Closes: #814067)

 -- Salvatore Bonaccorso <carnil@debian.org>  Wed, 10 Feb 2016 21:33:10 +0100
