=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: xdelta3
 Section: utils
 Priority: optional
-XS-Python-Version: all
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: A Mennucc1 <mennucc1@debian.org>
-Build-Depends: cdbs, debhelper, liblzma-dev
-Standards-Version: 3.9.4
+Maintainer: A Mennucc1 <mennucc1@debian.org>
+Build-Depends: debhelper-compat (= 13), liblzma-dev
+Standards-Version: 4.6.0
+Vcs-Browser: https://salsa.debian.org/debian/xdelta3
+Vcs-Git: https://salsa.debian.org/debian/xdelta3.git
+Homepage: http://xdelta.org/
 
 Package: xdelta3
 Architecture: any
