=== debian/tests/control ===
Tests: run-unit-test
Depends: @, build-essential, liblzma-dev
Restrictions: allow-stderr
